Bug 481235 - Naming conventions: rename MySQL-python to python-MySQLdb
Naming conventions: rename MySQL-python to python-MySQLdb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: MySQL-python (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 17:12 EST by Kyle VanderBeek
Modified: 2013-07-02 23:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 15:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle VanderBeek 2009-01-22 17:12:39 EST
In the interest of naming consistency, I'd like to suggest doing the rename from MySQL-python to python-MySQLdb.  This gives us the "python-" prefix and the actual name of the importable library ("import MySQLdb") in the package name.

Consider it a minor end-user convenience to make things sort cleanly and searching just a touch easier.
Comment 1 Tom Lane 2009-01-22 21:46:08 EST
Hmm ... I'm inclined to think that changing the package name will create more confusion than it eliminates.  Also, MySQL-python *is* what the upstream tarball is named, so changing would violate at least as many package naming guidelines as it complies with ...
Comment 2 Kyle VanderBeek 2009-01-22 22:35:01 EST
There are myriad packages that don't match their tarball names (I just went through this with all the pylons dependencies like beaker, routes, and webhelpers).  Given the unequivocal nature of the standard:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29

I think renaming it to fit the python-$NAME convention is something that should be eventually undertaken.  It shouldn't be too hard, given the advice here:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages
Comment 3 Tom Lane 2009-01-22 23:26:25 EST
What that guideline says "unequivocally" is that packages that already have "py" in the name do not need tp be renamed.  So I don't think it's compelling me to do anything.
Comment 4 Bug Zapper 2009-06-09 06:50:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tom Lane 2009-06-15 15:36:53 EDT
I'm still unconvinced that renaming this package is a good idea.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.